.TH "opal_output_stream_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal_output_stream_t \- Structure used to request the opening of a OPAL output stream.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <output.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIClass parent. \fP"
.ti -1c
.RI "bool \fBlds_is_debugging\fP"
.br
.RI "\fIIndicates whether the output of the stream is debugging/developer-only output or not. \fP"
.ti -1c
.RI "int \fBlds_verbose_level\fP"
.br
.RI "\fIIndicate the starting verbosity level of the stream. \fP"
.ti -1c
.RI "bool \fBlds_want_syslog\fP"
.br
.RI "\fIIndicates whether output of the stream should be sent to the syslog or not. \fP"
.ti -1c
.RI "int \fBlds_syslog_priority\fP"
.br
.RI "\fIWhen \fBopal_output_stream_t::lds_want_syslog\fP is true, this field is examined to see what priority output from the stream should be sent to the syslog. \fP"
.ti -1c
.RI "char * \fBlds_syslog_ident\fP"
.br
.RI "\fIWhen \fBopal_output_stream_t::lds_want_syslog\fP is true, this field is examined to see what ident value should be passed to openlog(3). \fP"
.ti -1c
.RI "char * \fBlds_prefix\fP"
.br
.RI "\fIString prefix added to all output on the stream. \fP"
.ti -1c
.RI "bool \fBlds_want_stdout\fP"
.br
.RI "\fIWhether to send stream output to stdout or not. \fP"
.ti -1c
.RI "bool \fBlds_want_stderr\fP"
.br
.RI "\fIWhether to send stream output to stderr or not. \fP"
.ti -1c
.RI "bool \fBlds_want_file\fP"
.br
.RI "\fIWhether to send stream output to a file or not. \fP"
.ti -1c
.RI "bool \fBlds_want_file_append\fP"
.br
.RI "\fIWhen \fBopal_output_stream_t::lds_want_file\fP is true, this field indicates whether to append the file (if it exists) or overwrite it. \fP"
.ti -1c
.RI "char * \fBlds_file_suffix\fP"
.br
.RI "\fIWhen \fBopal_output_stream_t::lds_want_file\fP is true, this field indicates the string suffix to add to the filename. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure used to request the opening of a OPAL output stream. 

A pointer to this structure is passed to \fBopal_output_open()\fP to tell the opal_output subsystem where to send output for a given stream. It is valid to specify multiple destinations of output for a stream -- output streams can be multiplexed to multiple different destinations through the opal_output facility.
.PP
Note that all strings in this struct are cached on the stream by value; there is no need to keep them allocated after the return from \fBopal_output_open()\fP. 
.PP
.SH "Field Documentation"
.PP 
.SS "char* \fBopal_output_stream_t::lds_file_suffix\fP"
.PP
When \fBopal_output_stream_t::lds_want_file\fP is true, this field indicates the string suffix to add to the filename. 
.PP
The output file will be in the directory and begin with the prefix set by \fBopal_output_set_output_file_info()\fP (e.g., '$dir/$prefix$suffix'). If this field is NULL and lds_want_file is true, then the suffix 'output.txt' is used.
.PP
Note that it is possible that the output directory may not exist when \fBopal_output_open()\fP is invoked. See \fBopal_output()\fP for details on what happens in this situation. 
.SS "bool \fBopal_output_stream_t::lds_is_debugging\fP"
.PP
Indicates whether the output of the stream is debugging/developer-only output or not. 
.PP
This field should be 'true' if the output is for debugging purposes only. In that case, the output will never be sent to the stream unless OPAL was configured with --enable-debug. 
.SS "char* \fBopal_output_stream_t::lds_prefix\fP"
.PP
String prefix added to all output on the stream. 
.PP
When this field is non-NULL, it is prefixed to all lines of output on the stream. When this field is NULL, no prefix is added to each line of output in the stream. 
.SS "char* \fBopal_output_stream_t::lds_syslog_ident\fP"
.PP
When \fBopal_output_stream_t::lds_want_syslog\fP is true, this field is examined to see what ident value should be passed to openlog(3). 
.PP
If a NULL value is given, the string 'opal' is used. 
.SS "int \fBopal_output_stream_t::lds_syslog_priority\fP"
.PP
When \fBopal_output_stream_t::lds_want_syslog\fP is true, this field is examined to see what priority output from the stream should be sent to the syslog. 
.PP
This value should be set as per the syslog(3) man page. It is typically the OR value of 'facilty' and 'level' values described in the man page. 
.SS "int \fBopal_output_stream_t::lds_verbose_level\fP"
.PP
Indicate the starting verbosity level of the stream. 
.PP
Verbose levels are a convenience mechanisms, and are only consulted when output is sent to a stream through the \fBopal_output_verbose()\fP function. Verbose levels are ignored in \fBOPAL_OUTPUT()\fP and \fBopal_output()\fP.
.PP
Valid verbose levels typically start at 0 (meaning 'minimal information'). Higher verbosity levels generally indicate that more output and diagnostics should be displayed. 
.SS "bool \fBopal_output_stream_t::lds_want_file\fP"
.PP
Whether to send stream output to a file or not. 
.PP
When this field is true, stream output is sent to a file, and the following fields are also examined:
.PP
.IP "\(bu" 2
lds_want_file_append
.IP "\(bu" 2
lda_file_suffix 
.PP

.SS "bool \fBopal_output_stream_t::lds_want_file_append\fP"
.PP
When \fBopal_output_stream_t::lds_want_file\fP is true, this field indicates whether to append the file (if it exists) or overwrite it. 
.PP
If false, the file is opened with the O_TRUNC flag. 
.SS "bool \fBopal_output_stream_t::lds_want_stderr\fP"
.PP
Whether to send stream output to stderr or not. 
.PP
If this field is true, stream output is sent to stderr. 
.SS "bool \fBopal_output_stream_t::lds_want_stdout\fP"
.PP
Whether to send stream output to stdout or not. 
.PP
If this field is true, stream output is sent to stdout. 
.SS "bool \fBopal_output_stream_t::lds_want_syslog\fP"
.PP
Indicates whether output of the stream should be sent to the syslog or not. 
.PP
If this field is true, output from this stream is sent to the syslog, and the following fields are also examined:
.PP
.IP "\(bu" 2
lds_syslog_priority
.IP "\(bu" 2
lds_syslog_ident
.IP "\(bu" 2
lds_prefix
.PP
.PP
If this field is false, the above three fields are ignored. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
